import { world } from "@minecraft/server";

export function getObjective(id) {
  try {
    const obj = world.scoreboard.getObjective(id);
    if (obj) return obj;
  } catch {}
  return world.scoreboard.addObjective(id, id);
}

export function getScore(obj, ident) {
  try {
    return obj.getScore(ident);
  } catch {
    return;
  }
}

export function setScore(obj, ident, score) {
  try {
    return obj.setScore(ident, score);
  } catch {
    return;
  }
}

export function dateNow() {
  const now = new Date(Date.now()+ (9 * 3600000));
  return now;
}